## plasma-widget-networkmanagement 0.9~svn1112085

=== CMakeLists.txt ===
project(plasma-networkmanagement)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)
include(TestBigEndian)

#indicate endianness to hashing functions
TEST_BIG_ENDIAN(BIGENDIAN)
if (BIGENDIAN)
#can't just place WORDS_BIGENDIAN in TEST_BIGENDIAN as our code uses #ifndef
   set(WORDS_BIGENDIAN 1)
endif (BIGENDIAN)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

#include(ConfigureChecks.cmake)

macro_optional_find_package(NetworkManager)

macro_log_feature(NETWORKMANAGER_FOUND "NetworkManager headers" "User controllable networking" "http://projects.gnome.org/NetworkManager" FALSE "0.7" "Needed for NetworkManager support in Network Management")
if (NETWORKMANAGER_FOUND)
macro_ensure_version( "0.7.0" ${NETWORKMANAGER_VERSION} NM_0_7)
macro_ensure_version( "0.7.1" ${NETWORKMANAGER_VERSION} NM_0_7_1)
find_package(GLIB2 REQUIRED)

configure_file(backends/NetworkManager/config-nm07backend.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/backends/NetworkManager/config-nm07backend.h )

if (NM_0_7)

include_directories(
   ${NETWORKMANAGER_INCLUDE_DIRS}
   ${NM-UTIL_INCLUDE_DIRS}
   ${GLIB2_INCLUDE_DIR}
   ${CMAKE_CURRENT_BUILD_DIR}
)

add_subdirectory(applet)
add_subdirectory(backends)
add_subdirectory(libs)
add_subdirectory(tests)
add_subdirectory(settings)
add_subdirectory(vpnplugins)
add_subdirectory(solidcontrolfuture)
add_subdirectory(monolithic)
add_subdirectory(kded)

install( FILES networkmanagement.notifyrc DESTINATION ${DATA_INSTALL_DIR}/networkmanagement )

if (DBUS_SYSTEM_POLICY_DIR)
install( FILES NetworkManager-kde4.conf DESTINATION ${DBUS_SYSTEM_POLICY_DIR})
else (DBUS_SYSTEM_POLICY_DIR)
message(STATUS "It is necessary to specify the directory where the client policy file for NetworkManager-kde4 is installed as DBUS_SYSTEM_POLICY_DIR.  Normally this is /etc/dbus-1/system.d on a Linux system")
endif (DBUS_SYSTEM_POLICY_DIR)

else(NM_0_7)
      macro_log_feature(NM_0_7 "NetworkManager ${NETWORKMANAGER_VERSION}" "NetworkManager is a daemon for user controlled networking" "http://www.gnome.org/projects/NetworkManager")
endif(NM_0_7)
endif(NETWORKMANAGER_FOUND)

macro_display_feature_log()

=== applet/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libs/client
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ui
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/../libs/internals
   )

set(networkmanager_SRCS
    networkmanager.cpp

    nmpopup.cpp
    activatablelistwidget.cpp

    interfaceitem.cpp
    wirelessinterfaceitem.cpp
    vpninterfaceitem.cpp
    interfacedetailswidget.cpp

    activatableitem.cpp
    interfaceconnectionitem.cpp
    wirelessnetworkitem.cpp
    hiddenwirelessnetworkitem.cpp
    wirelessstatus.cpp
    )

kde4_add_plugin(plasma_applet_networkmanagement ${networkmanager_SRCS})
target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol ${KDE4_KUTILS_LIBRARY})

install(TARGETS plasma_applet_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
    wireless.svgz
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== monolithic/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51014)

add_subdirectory(icons)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
   ${CMAKE_CURRENT_BINARY_DIR}/../libs/internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/service
   ${CMAKE_CURRENT_SOURCE_DIR}/../backends/NetworkManager
   )


set(monolithic_SRCS

   main.cpp

   # base client code
   monolithic.cpp

   # tray icon
   knetworkmanagertrayicon.cpp

   # base widget for activatables
   activatableitem.cpp

   # subclasses for Activatable subtypes
   interfaceconnectionitem.cpp
   unconfiguredinterfaceitem.cpp
   wirelessinterfaceconnectionitem.cpp
   vpninterfaceconnectionitem.cpp
   wirelessnetworkitem.cpp

   # helper class for wireless UI elements
   wirelessstatus.cpp

   # helper class
   tooltipbuilder.cpp

   # other networks dialog
   otherwirelessnetworkdialog.cpp

   # connection info
   connectioninfodialog.cpp
   connectioninfoipv4tab.cpp
   connectioninfowiredtab.cpp
   connectioninfowirelesstab.cpp
   )

kde4_add_ui_files(monolithic_SRCS
   otherwirelessnetworkwidget.ui
   connectioninfowidget.ui
   )

kde4_add_executable(knetworkmanager ${monolithic_SRCS})


if (${KDE_VERSION} VERSION_LESS "4.3.67")
   set(KNOTIFICATIONITEM_LIB "knotificationitem-1")
endif (${KDE_VERSION} VERSION_LESS "4.3.67")

target_link_libraries(knetworkmanager
   ${KDE4_KDECORE_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${KNOTIFICATIONITEM_LIB}
   ${QT_QTNETWORK_LIBRARY}
   knminternals
   knmservice
   knm_nm
   solid
   solidcontrol
   )

install(TARGETS knetworkmanager ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES knetworkmanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES kde4-knetworkmanager-autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

=== libs/client/CMakeLists.txt ===
add_subdirectory(tests)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../internals
   ${CMAKE_CURRENT_BINARY_DIR}
   )

set(knmclient_SRCS
   remoteactivatable.cpp
   remoteinterfaceconnection.cpp
   remoteunconfiguredinterface.cpp
   remotevpninterfaceconnection.cpp
   remotewirelessobject.cpp
   remotewirelessinterfaceconnection.cpp
   remotewirelessnetwork.cpp
   remoteactivatablelist.cpp
)

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME NetworkManagementInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.xml
   networkmanagementinterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.activatable.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME ActivatableInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.activatable.xml
   activatableinterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.interfaceconnection.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME InterfaceConnectionInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.interfaceconnection.xml
   interfaceconnectioninterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME WirelessInterfaceConnectionInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml
   wirelessinterfaceconnectioninterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.wirelessnetwork.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME WirelessNetworkInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.wirelessnetwork.xml
   wirelessnetworkinterface
   )

kde4_add_library(knmclient SHARED ${knmclient_SRCS})

target_link_libraries(knmclient ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS})

set_target_properties(knmclient PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )

install(TARGETS knmclient ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/internals/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51010)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../../solidcontrolfuture
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/client
   )

## next target: internals layer library

set(knminternals_SRCS
   connection.cpp
   #connectiondbus.cpp
   connectionpersistence.cpp

   setting.cpp
   #settingdbus.cpp
   settingpersistence.cpp

   #settings/pbkdf2.cpp
   #settings/wephash.cpp

   settings/802-11-wireless-security.cpp
   #settings/802-11-wireless-securitydbus.cpp
   settings/802-11-wireless-securitypersistence.cpp

   settings/802-11-wireless.cpp
   #settings/802-11-wirelessdbus.cpp
   settings/802-11-wirelesspersistence.cpp

   settings/802-3-ethernet.cpp
   #settings/802-3-ethernetdbus.cpp
   settings/802-3-ethernetpersistence.cpp

   settings/802-1x.cpp
   #settings/802-1xdbus.cpp
   settings/802-1xpersistence.cpp

   settings/gsm.cpp
   #settings/gsmdbus.cpp
   settings/gsmpersistence.cpp

   settings/cdma.cpp
   #settings/cdmadbus.cpp
   settings/cdmapersistence.cpp

   settings/ipv4.cpp
   #settings/ipv4dbus.cpp
   settings/ipv4persistence.cpp

   settings/ppp.cpp
   #settings/pppdbus.cpp
   settings/ppppersistence.cpp

   settings/pppoe.cpp
   #settings/pppoedbus.cpp
   settings/pppoepersistence.cpp

   settings/serial.cpp
   #settings/serialdbus.cpp
   settings/serialpersistence.cpp

   settings/vpn.cpp
   #settings/vpndbus.cpp
   settings/vpnpersistence.cpp

   activatable.cpp
   interfaceconnection.cpp
   interfaceconnectionhelpers.cpp
   hiddenwirelessinterfaceconnection.cpp
   wirelessinterfaceconnection.cpp
   wirelessinterfaceconnectionhelpers.cpp
   wirelessobject.cpp
   wirelessnetwork.cpp
   unconfiguredinterface.cpp
   vpninterfaceconnection.cpp
   vpninterfaceconnectionhelpers.cpp

   # helper class for recognising the type of WPA secrets
   wpasecretidentifier.cpp

   # helper class for identifying wireless security
   wirelesssecurityidentifier.cpp

   # helper functions for storing tooltip keys and UI strings
   tooltips.cpp
   # helper functions to obtain UI strings for various enums
   uiutils.cpp
   )

kde4_add_kcfg_files(knminternals_SRCS knmserviceprefs.kcfgc)

kde4_add_library(knminternals SHARED ${knminternals_SRCS})

target_link_libraries(knminternals knmclient solidcontrolfuture ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_SOLID_LIBS} solidcontrol ${QT_QTNETWORK_LIBRARY})

set_target_properties(knminternals PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )
install(TARGETS knminternals ${INSTALL_TARGETS_DEFAULT_ARGS})

set(kconfig_compiler_SRCS kconfig_compiler.cpp)

kde4_add_executable(knm_compiler NOGUI RUN_UNINSTALLED ${kconfig_compiler_SRCS})

target_link_libraries(knm_compiler  ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} )

=== libs/service/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51011)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/..
   ${CMAKE_CURRENT_SOURCE_DIR}/../internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../../solidcontrolfuture
   ${CMAKE_CURRENT_BINARY_DIR}/../internals
   )

add_subdirectory(tests)

set(knmservice_SRCS
   # defines interface for objects observing connections
   connectionhandler.cpp

   # list of all connections, maintains connectionhandlers
   connectionlist.cpp

   # loads/saves connections
   connectionlistpersistence.cpp

   # provides dbus configure() for config UI
   connectionlistpersistencedbus.cpp

   # list of things that may be connected: connections and unconfigured networks
   activatablelist.cpp

   # maintains NIC activatable providers
   networkinterfacemonitor.cpp

   # relates connections to network interfaces
   networkinterfaceactivatableprovider.cpp

   # subclass of the above, uses ethernet carrier status to select activatables
   wirednetworkinterfaceactivatableprovider.cpp

   # complex class for managing connections and unconfigured networks for wireless interfaces
   wirelessnetworkinterfaceactivatableprovider.cpp

   # interface for tracking activatable events
   activatableobserver.cpp

   # simple debug output observer
   activatabledebug.cpp

   # configures unconfigured devices and new wireless networks on demand and connects them
   configurationlauncher.cpp

   # updates connection state as they are used
   connectionusagemonitor.cpp

   # exports activatables on the session bus to Plasmoids etc
   sessionabstractedservice.cpp

   # creates vpn activatables
   vpninterfaceconnectionprovider.cpp

   # performs KNotifications on events
   notificationmanager.cpp

   # static global definitions of event string ids
   events.cpp

   # sort logic for activatables
   sortedactivatablelist.cpp
   )


qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.activatable.xml
    activatable.h
    Knm::Activatable
    activatableadaptor
    ActivatableAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.interfaceconnection.xml
    interfaceconnection.h
    Knm::InterfaceConnection
    interfaceconnectionadaptor
    InterfaceConnectionAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml
    wirelessinterfaceconnection.h
    Knm::WirelessInterfaceConnection
    wirelessinterfaceconnectionadaptor
    WirelessInterfaceConnectionAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.wirelessnetwork.xml
    wirelessnetwork.h
    Knm::WirelessNetwork
    wirelessnetworkadaptor
    WirelessNetworkAdaptor
)

qt4_add_dbus_adaptor(knmservice_SRCS
   interfaces/org.kde.networkmanagement.xml
   sessionabstractedservice.h
   SessionAbstractedService
   sessionabstractedserviceadaptor
   SessionAbstractedServiceAdaptor
   )

kde4_add_library(knmservice SHARED ${knmservice_SRCS})

target_link_libraries(knmservice knminternals solidcontrol solidcontrolfuture ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS}
   )

set_target_properties(knmservice PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )

install(TARGETS knmservice ${INSTALL_TARGETS_DEFAULT_ARGS})

=== settings/configshell/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51013)

include_directories(../../libs)
include_directories(../../libs/internals)
include_directories(../../libs/ui)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../libs/internals)

## next target: connection editor shell app for new connections

set(networkmanagement_configshell_SRCS
   main.cpp
)

kde4_add_executable(networkmanagement_configshell ${networkmanagement_configshell_SRCS})

target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})

install(TARGETS networkmanagement_configshell DESTINATION ${LIBEXEC_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu4) lucid; urgency=low

  * Fixed debian/control:
    - knm-runtime does not recommend any package (it's the backend...)
    - The two frontends suggest the VPN plugins and depend on the runtime.
    - Closes LP: #563836

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 15 Apr 2010 18:18:47 +0200

plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu3) lucid; urgency=low

  * Fixed debian/control again:
    - knm-runtime only suggests, not recommends the vpn plugins
    - knm-runtime suggests the kde packages to the vpn plugins

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 14 Apr 2010 14:13:45 +0200

plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu2) lucid; urgency=low

  * Fixed debian/control:
    - plasma-widget-networkmanagement Replaces knm-runtime (<< 0.9~svn1112085)
    - Closes LP: #562770

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 14 Apr 2010 13:59:23 +0200

plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu1) lucid; urgency=low

  * New upstream SVN snapshot
  * Build-depends on quilt
  * Fixed debian/rules so that the patches apply
  * Fixed debian/control file:
    - Create separate packages for openvpn, pptp and vpnc plugins to avoid people
      to create a VPN connection without having the
      corresponding network-manager package installed.
    - No package for the Novell VPN plugin as network-manager currently doesn't
      have the backend for Ubuntu.
  * Both network-manager-kde and plasma-widget-networkmanagement conflict each
    other
  * Added kubuntu_04_autoload_networkmanagement.diff:
    - this kded service is needed by the plasmoid, and can be enabled now we have
      the package conflict with knetworkmanager set.

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 12 Mar 2010 16:15:08 +0100

plasma-widget-networkmanagement (0.9~svn1075616-0ubuntu3) lucid; urgency=low

  * Add kubuntu_03_no_dbusmenu.diff from Aurelien Gateau, turn off
    dbusmenu for knetworkmanager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 13:04:46 +0000

plasma-widget-networkmanagement (0.9~svn1075616-0ubuntu2) lucid; urgency=low

  * Rebuild to fix broken pot file (LP: #529483)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 23:38:13 +0100

plasma-widget-networkmanagement (0.9~svn1075616-0ubuntu1) lucid; urgency=low

  * Merge with Debian Experimental, remaining changes:
    - Do not build-depend on libknotificationitem-1-dev
    - Keep depends on knm-runtime for the plasma-widget-networkmanagement
      binary package
    - Do not specify NetworkManager 0.7 in the package description, we have
      0.8
    - Keep depends on knm-runtime for network-manager-kde
    - Keep replaces on old plasma-widget-networkmanagement for
      network-manager-kde
    - Keep newer replace version on plasma-widget-networkmanagement for the
      knm-runtime binary package
    - Keep kubuntu_02_install_qdbusfornm.diff
  * Install qdbusfornm, it accidentally got removed from the .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 17 Jan 2010 09:18:01 -0500

plasma-widget-networkmanagement (0.9~svn1065133-0ubuntu2) lucid; urgency=low

  * Actually unapply kubuntu_03_install_translations.diff, I forgot that
    patches get applied when the source package is extracted.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 23 Dec 2009 08:52:57 -0500

plasma-widget-networkmanagement (0.9~svn1065133-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
    - Fixes LP: #451899
    - Remove kubuntu_03_install_translations.diff, translations removed
      upstream. (Moved to regular KDE l10n location)
    - Bump various lib .so versions in knm-runtime.install
  * Use source format 3.0 (quilt):
    - Add debian/source/format
    - Drop quilt build-dependency

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 22 Dec 2009 11:21:44 -0500

plasma-widget-networkmanagement (0.9~svn1054632-0ubuntu2) lucid; urgency=low

  * Update to build with KDE SC 4.4
    - Bump KDE SC build-depends to 4:4.3.80
    - Bump qt4-x11 to 4.6.0
    - Drop build-dep on libknotificationitem-dev (incorporated into kdelibs)
    - Bump sonames in knm-runtime.install to 4.4.0
  * Bump build-dep on libnm-util-dev and network-manager-dev to 0.8~
    - Package is patched to support network manager 0.8 

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Dec 2009 09:01:48 -0500

plasma-widget-networkmanagement (0.9~svn1054632-0ubuntu1) lucid; urgency=low

  * Merge with Debian Experimental, remaining changes:
    - Do not use source format 3, Launchpad is slow in supporting it
    - Keep quilt build-dep due to no source format 3
    - Keep kubuntu_02_install_qdbusfornm.diff
    - Keep kubuntu_03_install_translations.diff
  * Add replaces to older versions of plasma-widget-networkmanagement to
    knm-runtime and network-manager-kde
  * network-manager-kde and plasma-widget-networkmanager depend on 
    knm-runtime

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 04 Dec 2009 08:34:19 -0500

plasma-widget-networkmanagement (0.9~svn1029786+ag1-0ubuntu1) karmic; urgency=low

  * Added support for WEP ASCII keys, kubuntu_05_support_for_wep_ascii_keys.diff, LP: #453260
  * More readable wireless icons, monolithic/icons/
  * Use a different icon for activated wired connection, kubuntu_06_use_different_icon_for_activated_wired_connection.diff
  * Always show disconnect button as advised by upstream, kubuntu_07_always_show_disconnect_button.diff
  * Add fix from upstream kubuntu_08_r1039152_store_restore_gsm_network_type.diff,
    http://bugs.kde.org/207454 "Mobile connection type (GPRS/2G/3G) is not kept after saving connection"
  * Add fix from upstream kubuntu_09_r1039472_fix_hmac_auth_key_type_mis_storage.diff, 
    http://bugs.kde.org/205894 "OpenVPN plugin creates invalid connections"

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Tue, 20 Oct 2009 12:04:45 +0200



=== debian/control ===
Source: plasma-widget-networkmanagement
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modestas@vainius.eu>, Michael Biebl <biebl@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5), quilt,
 libqt4-dev (>= 4:4.6.0~), kdelibs5-dev (>= 4:4.3.0), kdebase-workspace-dev (>= 4:4.3.0),
 network-manager-dev (>= 0.8~), libnm-util-dev (>= 0.8~)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/plasma-widget-networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/plasma-widget-networkmanagement.git

Package: plasma-widget-networkmanagement
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, knm-runtime
Conflicts: plasma-applet-networkmanager, network-manager-kde
Replaces: plasma-applet-networkmanager, knm-runtime (<< 0.9~svn1112085)
Suggests: network-manager-vpnc-kde, network-manager-openvpn-kde, network-manager-pptp-kde
Description: Network Management widget for KDE4 Plasma
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks.  Currently, the only
 supported backend is NetworkManager.  Support for wired, wireless, GSM
 and VPN networks are provided.  The widget is exclusively written for Plasma
 and KDE4 and it is not supposed to work in other environments.
 .
 This widget needs Plasma shell to be usable. Main KDE 4 Plasma shell is
 available in the kdebase-workspace-bin package. The user friendly name of the
 widget is "Network Management" (in e.g. "Add Widgets" dialog).
 .
 CAUTION: plasma widget is not very usable at the moment. Consider using
 network-manager-kde instead.

Package: network-manager-kde
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}, knm-runtime
Conflicts: plasma-widget-networkmanagement
Replaces: plasma-widget-networkmanagement (<< 0.9~svn1054632)
Provides: knetworkmanager
Suggests: network-manager-vpnc-kde, network-manager-openvpn-kde, network-manager-pptp-kde
Description: KDE system tray applet for controlling NetworkManager
 System tray applet for controlling network connections managed by
 NetworkManager. It is mainly written for KDE but also works for other desktop
 environments like GNOME or Xfce.

Package: network-manager-openvpn-kde
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager-openvpn
Description: KDE NetworkManagement infrastructure (OpenVPN plugin)
 This package the OpenVPN plugin for the KDE Networkmanagement
 infrastructure.

Package: network-manager-pptp-kde
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager-pptp
Description: KDE NetworkManagement infrastructure (PPTP plugin)
 This package the PPTP plugin for the KDE Networkmanagement
 infrastructure.

Package: network-manager-vpnc-kde
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager-vpnc
Description: KDE NetworkManagement infrastructure (VPNC plugin)
 This package the VPNC plugin for the KDE Networkmanagement
 infrastructure.

Package: knm-runtime
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0)
Replaces: plasma-widget-networkmanagement (<< 0.9~svn1054632)
Recommends: kwalletmanager
Description: KDE NetworkManagement infrastructure runtime files
 This package contains runtime libraries and binaries needed by both
 network-manager-kde (knetworkmanager) and plasma-widget-networkmanagement
 packages. Currently, it provides interface to NetworkManager and the KDE4
 Control Module (kcm) for managing/storing network settings (to be used by
 either of the two support applications later).
 .
 It is possible to use this package without its frontends (either
 network-manager-kde or plasma-widget-networkmanagement). It enables
 notifications under KDE but actual network management functions will be very
 limited.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, plasma-widget-networkmanagement (= ${binary:Version})
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.

=== debian/rules ===
#!/usr/bin/make -f

# DEB_KDE_LINK_WITH_AS_NEEDED ?= yes

ifneq (,$(shell which tg))
QUILT_PATCH_DIR := debian/patches
include /usr/share/topgit/tg2quilt.mk
endif

include /usr/share/quilt/quilt.make

export KUBUNTU_DESKTOP_POT = playground-base

DEB_BINARY_VERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
DEB_KNETWORKMANAGER_VERSION := $(shell echo '$(DEB_BINARY_VERSION)' | sed 's/^[[:digit:].]\+/1:0.9/')

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_makeshlibs:
	dh_makeshlibs -pknm-runtime -V'knm-runtime (= $(DEB_BINARY_VERSION))'
	dh_makeshlibs --remaining-packages

override_dh_gencontrol:
	dh_gencontrol -pnetwork-manager-kde -- -v'$(DEB_KNETWORKMANAGER_VERSION)'
	dh_gencontrol --remaining-packages

%:
	dh --with kde --with quilt --dbg-package=plasma-widget-networkmanagement-dbg $@

.PHONY: override_dh_auto_test

## plasma-widget-networkmanagement 0.9~svn1176084

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 project(plasma-networkmanagement)
+
+option(INSTALL_KNM_AUTOSTART "Install the autostart file for knetworkmanager. Warning: This prevents the plasmoid from working properly")
+
 
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)
@@ -11,6 +14,12 @@
 #can't just place WORDS_BIGENDIAN in TEST_BIGENDIAN as our code uses #ifndef
    set(WORDS_BIGENDIAN 1)
 endif (BIGENDIAN)
+
+find_file(KDE4_MM_BACKEND_FOUND solid/control/modeminterface.h ${KDE4_INCLUDE_DIR} NO_DEFAULT_PATH)
+if (KDE4_MM_BACKEND_FOUND)
+	message("Compiling Modem Manager support.")
+	add_definitions(-DCOMPILE_MODEM_MANAGER_SUPPORT=1)
+endif (KDE4_MM_BACKEND_FOUND)
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 include_directories (${KDE4_INCLUDES})
@@ -59,5 +68,9 @@
 endif(NM_0_7)
 endif(NETWORKMANAGER_FOUND)
 
+if(INSTALL_KNM_AUTOSTART)
+	message("Installing autostart file for knm, use cmake -DINSTALL_KNM_AUTOSTART=ON to switch it on. Note that this will break the plasmoid. For this to work, make sure the kded DBus service is NOT loaded.")
+endif(INSTALL_KNM_AUTOSTART)
+
 macro_display_feature_log()

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -22,14 +22,23 @@
     wirelessnetworkitem.cpp
     hiddenwirelessnetworkitem.cpp
     wirelessstatus.cpp
+    gsminterfaceconnectionitem.cpp
     )
 
 kde4_add_plugin(plasma_applet_networkmanagement ${networkmanager_SRCS})
-target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol ${KDE4_KUTILS_LIBRARY})
 
 install(TARGETS plasma_applet_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES plasma-applet-networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR})
 
-install(FILES
-    wireless.svgz
-    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)
+add_subdirectory(icons)
+
+# We only install the theme for the version where it isn't in SVN
+macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
+if (NOT IS45)
+    install(FILES
+        network.svgz
+        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/)
+    target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol ${KDE4_KUTILS_LIBS})
+else (NOT IS45)
+    target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol ${KDE4_KCMUTILS_LIBS})
+endif (NOT IS45)

=== monolithic/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,9 @@
    connectioninfoipv4tab.cpp
    connectioninfowiredtab.cpp
    connectioninfowirelesstab.cpp
+
+   # static global definitions of event string ids
+   ../libs/service/events.cpp
    )
 
 kde4_add_ui_files(monolithic_SRCS
@@ -75,4 +78,7 @@
 
 install(FILES knetworkmanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
-install(FILES kde4-knetworkmanager-autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
+if (INSTALL_KNM_AUTOSTART)
+    install(FILES kde4-knetworkmanager-autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
+endif (INSTALL_KNM_AUTOSTART)
+

=== settings/config/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51013)

include_directories(../../libs)
include_directories(../../libs/internals)
include_directories(../../libs/ui)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../libs/internals)

## next target: connection editor KCM

set(kcm_networkmanagement_SRCS
   # UI logic
   addeditdeletebuttonset.cpp
   manageconnectionwidget.cpp
)
#kde4_add_kcfg_files(kcm_knetworkmanager_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/storage/knmserviceprefs.kcfgc)

kde4_add_ui_files(kcm_networkmanagement_SRCS manageconnectionwidget.ui)
kde4_add_plugin(kcm_networkmanagement ${kcm_networkmanagement_SRCS})

macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
if (IS45)
   target_link_libraries(kcm_networkmanagement knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KCMUTILS_LIBS})
else (IS45)
   target_link_libraries(kcm_networkmanagement knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})
endif (IS45)

## next target: tray config KCM

set(kcm_networkmanagement_tray_SRCS
   addeditdeletebuttonset.cpp
   managetraywidget.cpp
   othersettingswidget.cpp
   )

kde4_add_ui_files(kcm_networkmanagement_tray_SRCS othersettings.ui othersettings.ui)
kde4_add_plugin(kcm_networkmanagement_tray ${kcm_networkmanagement_tray_SRCS})

target_link_libraries(kcm_networkmanagement_tray knminternals ${KDE4_KDEUI_LIBS})

install(TARGETS kcm_networkmanagement kcm_networkmanagement_tray DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_networkmanagement.desktop kcm_networkmanagement_tray.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== settings/configshell/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,12 @@
 
 kde4_add_executable(networkmanagement_configshell ${networkmanagement_configshell_SRCS})
 
-target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})
+macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
+if (IS45)
+   target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KCMUTILS_LIBS})
+else (IS45)
+   target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})
+endif (IS45)
 
 install(TARGETS networkmanagement_configshell DESTINATION ${LIBEXEC_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-networkmanagement (0.9~svn1176084-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
    - Remove kubuntu_05_fix_qdbusfornm.diff fixed by upstream
    - Drop outdated debian/bug-presubj.
    - Bump Standards-Version to 3.9.1. No further changes.
    - Bump build-dependencies

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 16 Sep 2010 17:43:40 +0200

plasma-widget-networkmanagement (0.9~svn1167391-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Add kubuntu_04_no_tests.diff to not build tests, they fail

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 15:34:36 +0100

plasma-widget-networkmanagement (0.9~svn1137272-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_constant_explicitly_qreal.diff to fix FTBS on armel
  * Update Vcs-Browser and Vcs-Bzr
  * Add minimum version for quilt to make lintian happy

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 24 Jun 2010 02:09:27 +0200

plasma-widget-networkmanagement (0.9~svn1137272-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Remove caution notice on plasma-widget-networkmanagement description
  * Add -DINSTALL_KNM_AUTOSTART=TRUE
  * Add package network-manager-strongswan-kde

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Jun 2010 18:44:27 +0100

plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu5) maverick; urgency=low

  * Rebuild for libsolidcontrol4 -> libsolidcontrol4a transition
  * Bump libraries version in knm-runtime.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 12 Jun 2010 04:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modestas@vainius.eu>, Michael Biebl <biebl@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5), quilt,
- libqt4-dev (>= 4:4.6.0~), kdelibs5-dev (>= 4:4.3.0), kdebase-workspace-dev (>= 4:4.3.0),
+Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5), quilt (>= 0.46-7~),
+ libqt4-dev (>= 4:4.7.0~), kdelibs5-dev (>= 4:4.5), kdebase-workspace-dev (>= 4:4.5),
  network-manager-dev (>= 0.8~), libnm-util-dev (>= 0.8~)
-Standards-Version: 3.8.3
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/plasma-widget-networkmanagement.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/plasma-widget-networkmanagement.git
+Standards-Version: 3.9.1
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/plasma-widget-networkmanagement/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/plasma-widget-networkmanagement/ubuntu
 
 Package: plasma-widget-networkmanagement
 Architecture: any
@@ -28,9 +28,6 @@
  This widget needs Plasma shell to be usable. Main KDE 4 Plasma shell is
  available in the kdebase-workspace-bin package. The user friendly name of the
  widget is "Network Management" (in e.g. "Add Widgets" dialog).
- .
- CAUTION: plasma widget is not very usable at the moment. Consider using
- network-manager-kde instead.
 
 Package: network-manager-kde
 Architecture: any
@@ -51,6 +48,14 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager-openvpn
 Description: KDE NetworkManagement infrastructure (OpenVPN plugin)
  This package the OpenVPN plugin for the KDE Networkmanagement
+ infrastructure.
+
+Package: network-manager-strongswan-kde
+Architecture: any
+Section: net
+Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager-strongswan
+Description: KDE NetworkManagement infrastructure (strongSwan plugin)
+ This package the strongSwan plugin for the KDE Networkmanagement
  infrastructure.
 
 Package: network-manager-pptp-kde

## plasma-widget-networkmanagement 0.9~svngit20110408

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,12 @@
 
 find_file(KDE4_MM_BACKEND_FOUND solid/control/modeminterface.h ${KDE4_INCLUDE_DIR} NO_DEFAULT_PATH)
 if (KDE4_MM_BACKEND_FOUND)
-	message("Compiling Modem Manager support.")
-	add_definitions(-DCOMPILE_MODEM_MANAGER_SUPPORT=1)
+    message("Compiling Modem Manager support.")
+    add_definitions(-DCOMPILE_MODEM_MANAGER_SUPPORT=1)
+
+    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR} ${CMAKE_MODULE_PATH})
+    macro_optional_find_package(MobileBroadbandProviderInfo)
+    macro_log_feature(MOBILEBROADBANDPROVIDERINFO_FOUND "mobile-broadband-provider-info" "Database of mobile broadband service providers" "http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders" FALSE "" "Needed for Mobile Connection Wizard support in Broadband Modem Management")
 endif (KDE4_MM_BACKEND_FOUND)
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
@@ -36,6 +40,20 @@
 
 configure_file(backends/NetworkManager/config-nm07backend.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/backends/NetworkManager/config-nm07backend.h )
 
+# Check if Solid has been compiled with NetworkManager 0.8 support.
+set (CMAKE_REQUIRED_DEFINITIONS ${KDE4_DEFINITIONS})
+set (CMAKE_REQUIRED_INCLUDES ${KDE4_INCLUDES})
+set (CMAKE_REQUIRED_LIBRARIES -L${KDE4_LIB_DIR} -lsolidcontrol)
+CHECK_CXX_SOURCE_COMPILES("#include <solid/control/networkmanager.h>
+int main()
+{
+    Solid::Control::NetworkManager::isWwanEnabled();
+    return 0;
+}" NM_0_8)
+if (NM_0_8)
+    add_definitions(-DNM_0_8=1)
+endif (NM_0_8)
+
 if (NM_0_7)
 
 include_directories(
@@ -47,6 +65,7 @@
 
 add_subdirectory(applet)
 add_subdirectory(backends)
+add_subdirectory(dataengine)
 add_subdirectory(libs)
 add_subdirectory(tests)
 add_subdirectory(settings)

=== libs/CMakeLists.txt ===
# library knmsettingsservice providing access to the dbus interface of settings services
# Used by the Applet to access UserSettings and SystemSettings and provide a list of connections for the user to activate
# And by the Config to access SystemSettings so the user can import+modify system defined settings
#add_subdirectory(settingsservice)

# library knmstorage providing Connection load and save functionality, used by the Config (save/load) and the Service (load)
add_subdirectory(internals)

# library knmui containing widgets for editing connection settings groups, used by the Config
add_subdirectory(ui)

# library knmservice containing components for providing a connection service
add_subdirectory(service)

# library knmclient providing remote interfaces to Activatables provided by the service
add_subdirectory(client)

=== monolithic/CMakeLists.txt ===
--- 
+++ 
@@ -76,7 +76,7 @@
 
 install(TARGETS knetworkmanager ${INSTALL_TARGETS_DEFAULT_ARGS})
 
-install(FILES knetworkmanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(PROGRAMS knetworkmanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 if (INSTALL_KNM_AUTOSTART)
     install(FILES kde4-knetworkmanager-autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

=== backends/NetworkManager/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51020)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals/settings
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/service
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/ui
   ${CMAKE_CURRENT_SOURCE_DIR}/settings
   ${CMAKE_CURRENT_BINARY_DIR}
   )

## next target: internals layer library


set(knm_nm_LIB_SRCS
   connectiondbus.cpp

   settingdbus.cpp

   pbkdf2.cpp
   wephash.cpp

   settings/802-11-wireless-securitydbus.cpp

   settings/802-11-wirelessdbus.cpp

   settings/802-3-ethernetdbus.cpp

   settings/802-1xdbus.cpp

   settings/gsmdbus.cpp

   settings/cdmadbus.cpp

   settings/ipv4dbus.cpp

   settings/pppdbus.cpp

   settings/pppoedbus.cpp

   settings/serialdbus.cpp

   settings/vpndbus.cpp

   nmdbussettingsservice.cpp

   busconnection.cpp

   #org.freedesktop.NetworkManagerSettings.Connection
   exportedconnection.cpp

   #org.freedesktop.NetworkManagerSettings.Connection.Secrets
   exportedconnectionsecrets.cpp

   nmdbusactiveconnectionmonitor.cpp

   #org.freedesktop.NetworkManagerSettings.Connection.Active
   nm-active-connectioninterface.cpp

   #org.freedesktop.NetworkManagerSettings.VPN.Connection
   nm-vpn-connectioninterface.cpp

   nmdbussettingsconnectionprovider.cpp

   remoteconnection.cpp
   nm-settingsinterface.cpp
   nm-exported-connectioninterface.cpp
)

kde4_add_library(knm_nm SHARED ${knm_nm_LIB_SRCS})

target_link_libraries(knm_nm ${KDE4_KDEUI_LIBS} solidcontrol knminternals knmservice knmui ${QT_QTNETWORK_LIBRARY})


#set_target_properties(nmbackend PROPERTIES
#   VERSION ${GENERIC_LIB_VERSION}
#   SOVERSION ${GENERIC_LIB_SOVERSION}
#   )
install(TARGETS knm_nm ${INSTALL_TARGETS_DEFAULT_ARGS})

=== settings/config/CMakeLists.txt ===
--- 
+++ 
@@ -12,17 +12,21 @@
    # UI logic
    addeditdeletebuttonset.cpp
    manageconnectionwidget.cpp
+   mobileconnectionwizard.cpp
+   mobileproviders.cpp
 )
 #kde4_add_kcfg_files(kcm_knetworkmanager_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/storage/knmserviceprefs.kcfgc)
 
 kde4_add_ui_files(kcm_networkmanagement_SRCS manageconnectionwidget.ui)
 kde4_add_plugin(kcm_networkmanagement ${kcm_networkmanagement_SRCS})
 
+target_link_libraries(kcm_networkmanagement knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY})
+
 macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
 if (IS45)
-   target_link_libraries(kcm_networkmanagement knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KCMUTILS_LIBS})
+   target_link_libraries(kcm_networkmanagement ${KDE4_KCMUTILS_LIBS})
 else (IS45)
-   target_link_libraries(kcm_networkmanagement knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})
+   target_link_libraries(kcm_networkmanagement ${KDE4_KUTILS_LIBS})
 endif (IS45)
 
 ## next target: tray config KCM

=== settings/configshell/CMakeLists.txt ===
--- 
+++ 
@@ -10,15 +10,19 @@
 
 set(networkmanagement_configshell_SRCS
    main.cpp
+   ../config/mobileconnectionwizard.cpp
+   ../config/mobileproviders.cpp
 )
 
 kde4_add_executable(networkmanagement_configshell ${networkmanagement_configshell_SRCS})
 
+target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY})
+
 macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
 if (IS45)
-   target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KCMUTILS_LIBS})
+   target_link_libraries(networkmanagement_configshell ${KDE4_KCMUTILS_LIBS})
 else (IS45)
-   target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})
+   target_link_libraries(networkmanagement_configshell ${KDE4_KUTILS_LIBS})
 endif (IS45)
 
 install(TARGETS networkmanagement_configshell DESTINATION ${LIBEXEC_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-networkmanagement (0.9~svngit20110408-0ubuntu2) natty; urgency=low

  * Add kubuntu_05_save_autoconnect_settings.diff, cherry-picked from upstream.
    (LP: #760432)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 15 Apr 2011 12:37:13 +0200

plasma-widget-networkmanagement (0.9~svngit20110408-0ubuntu1) natty; urgency=low

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Apr 2011 18:49:07 +0100

plasma-widget-networkmanagement (0.9~svngit20110312-0ubuntu1) natty; urgency=low

  * New upstream snapshot
  * Add build-dep and runtime depends on mobile-broadband-provider-info
  * Add =binary version to plasma-widget-networkmanagement depends on knm-runtime

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Mar 2011 13:52:36 +0000

plasma-widget-networkmanagement (0.9~svn1176084-0ubuntu3) natty; urgency=low

  * Change .so versions to 4.6.0 from 4.5.0 in knm-runtime.install for builds
    against KDE SC 4.6

 -- Scott Kitterman <scott@kitterman.com>  Mon, 13 Dec 2010 15:42:59 -0500

plasma-widget-networkmanagement (0.9~svn1176084-0ubuntu2) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 06:55:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Uploaders: Modestas Vainius <modestas@vainius.eu>, Michael Biebl <biebl@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5), quilt (>= 0.46-7~),
- libqt4-dev (>= 4:4.7.0~), kdelibs5-dev (>= 4:4.5), kdebase-workspace-dev (>= 4:4.5),
- network-manager-dev (>= 0.8~), libnm-util-dev (>= 0.8~)
+ libqt4-dev (>= 4:4.7.0~), kdelibs5-dev (>= 4:4.5.2a-0ubuntu2), kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3),
+ network-manager-dev (>= 0.8~), libnm-util-dev (>= 0.8~), mobile-broadband-provider-info
 Standards-Version: 3.9.1
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/plasma-widget-networkmanagement/ubuntu
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/plasma-widget-networkmanagement/ubuntu
 
 Package: plasma-widget-networkmanagement
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, knm-runtime
+Depends: ${shlibs:Depends}, ${misc:Depends}, knm-runtime (= ${binary:Version}), mobile-broadband-provider-info
 Conflicts: plasma-applet-networkmanager, network-manager-kde
 Replaces: plasma-applet-networkmanager, knm-runtime (<< 0.9~svn1112085)
 Suggests: network-manager-vpnc-kde, network-manager-openvpn-kde, network-manager-pptp-kde

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DEB_KNETWORKMANAGER_VERSION := $(shell echo '$(DEB_BINARY_VERSION)' | sed 's/^[[:digit:].]\+/1:0.9/')
 
 override_dh_auto_configure:
-	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d
+	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d -DINSTALL_KNM_AUTOSTART=TRUE
 
 override_dh_bugfiles:
 	dh_bugfiles -A
@@ -31,4 +31,13 @@
 %:
 	dh --with kde --with quilt --dbg-package=plasma-widget-networkmanagement-dbg $@
 
+fetch_translations:
+	mkdir -p po
+	cd po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
+	cd po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
+	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/extragear-base/plasma_applet_networkmanagement.po; cd ..; done
+	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/extragear-base/knetworkmanager.pot; cd ..; done
+	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/extragear-base/libknetworkmanager.pot; cd ..; done
+	cd po; rm subdirs; rmdir --ignore-fail-on-non-empty *
+
 .PHONY: override_dh_auto_test
